// HeaderList.h: interface for the CHeaderList class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HEADERLIST_H__EA26A731_F85B_4856_86D2_1D5D9AC6F76E__INCLUDED_)
#define AFX_HEADERLIST_H__EA26A731_F85B_4856_86D2_1D5D9AC6F76E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

struct HeaderInfo
{
	CString UID;
	CString Header;
	BOOL Touched;
	struct HeaderInfo * Next;
};

class CHeaderList  
{
private:
	HeaderInfo * Start;
public:
	CString HDRFileName;
	void UpdateHeaders( BOOL CheckTouched = TRUE );
	void ReadHeaders( CString &Folder );
	void RemoveAll();
	HeaderInfo * AddHeader( CString &UID, CString &Header);
	void GetHeader( CString &UID, CString &Header);
	CHeaderList();
	virtual ~CHeaderList();

};

#endif // !defined(AFX_HEADERLIST_H__EA26A731_F85B_4856_86D2_1D5D9AC6F76E__INCLUDED_)
