#if !defined(AFX_POPSOCKET_H__6E36A98F_53C0_11D5_8286_5254AB2AE30A__INCLUDED_)
#define AFX_POPSOCKET_H__6E36A98F_53C0_11D5_8286_5254AB2AE30A__INCLUDED_

#include "SndRecvDlg.h"	// Added by ClassView
#include "HeaderList.h"	// Added by ClassView

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CPOPSocket command target
class CMailList;
class CMail;
class CPOPSocket : public CAsyncSocket
{
	friend class CMailList;
	friend class CMainFrame;
	// Attributes
public:

// Operations
public:
	CPOPSocket(CMailList * pML, CSndRecvDlg *DlgBox, BOOL OnlyAuthentication = FALSE);
	virtual ~CPOPSocket();

// Overrides
public:
	void CanQuit();
	void DonotQuit();
	BOOL IsQuiting();
	BOOL IsAuthenticated();
	void ProcessHeader( CMail *Mail);
	CString m_POPServer;
	CString m_Password;
	CString m_UserName;
	BOOL IsConnected();
	void Quit();
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPOPSocket)
	public:
	virtual void OnConnect(int nErrorCode);
	virtual void OnClose(int nErrorCode);
	virtual void OnReceive(int nErrorCode);
	//}}AFX_VIRTUAL

	// Generated message map functions
	//{{AFX_MSG(CPOPSocket)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

// Implementation
protected:
private:
	BOOL DontQuit;
	BOOL WantToQuit;
	BOOL OnlyAuthentication;
	DWORD DeletionRequestNo;
	BYTE IsOK(CString Response);
	DWORD GetNextHeaderNo(DWORD StartNo);
	CHeaderList HeaderList;
	CMailList *pMailList;
	CString MailFolder;
	CMail *Mail;
	DWORD BytesReceived;
	BYTE State;
	CString DataStore;
	CString Header;
	DWORD UIDsReceived;
	BYTE MailReceived;
	BYTE LastCommand;
	DWORD NoOfMessages;
	DWORD NoOfBytes;
	CSndRecvDlg *DialogBox;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POPSOCKET_H__6E36A98F_53C0_11D5_8286_5254AB2AE30A__INCLUDED_)
