#if !defined(AFX_MAILDOC_H__365143BA_CD3F_4B4B_8817_72DA9444D696__INCLUDED_)
#define AFX_MAILDOC_H__365143BA_CD3F_4B4B_8817_72DA9444D696__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MailDoc.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMailDoc document

class CMailDoc : public CDocument
{
protected:
	CMailDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CMailDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMailDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	virtual BOOL CanCloseFrame(CFrameWnd* pFrame);
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
private:
	void CopyFile( CString &Source, CString &Destination );
	void ByteStuff(CString &Message);

public:
	WORD ID;
	CString FileName;
	BOOL SaveFile( CString &FileName, BOOL WriteMix = FALSE);
	void SetViewReadOnly( BOOL );
	CString From;
	CString To;
	CString CC;
	CString BCC;
	CString Subject;
	CString Date;
	CFrameWnd * GetFrame();
	BOOL Compose;
	virtual ~CMailDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CMailDoc)
	afx_msg void OnSave();
	afx_msg void OnUpdateSave(CCmdUI* pCmdUI);
	afx_msg void OnChangeTo();
	afx_msg void OnChangeSubject();
	afx_msg void OnChangeCC();
	afx_msg void OnChangeFrom();
	afx_msg void OnSendToOutbox();
	afx_msg void OnUpdateSendToOutbox(CCmdUI* pCmdUI);
	afx_msg void OnSaveAs();
	afx_msg void OnUpdateSaveAs(CCmdUI* pCmdUI);
	afx_msg void OnReply();
	afx_msg void OnUpdateReply(CCmdUI* pCmdUI);
	afx_msg void OnReplyAll();
	afx_msg void OnUpdateReplyAll(CCmdUI* pCmdUI);
	afx_msg void OnForward();
	afx_msg void OnUpdateForward(CCmdUI* pCmdUI);
	afx_msg void OnManu();
	afx_msg void OnUpdateManu(CCmdUI* pCmdUI);
	afx_msg void OnVinu();
	afx_msg void OnUpdateVinu(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAILDOC_H__365143BA_CD3F_4B4B_8817_72DA9444D696__INCLUDED_)
