// UserDlg.cpp : implementation file
//

#include "stdafx.h"
#include "postman.h"
#include "UserDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


extern CPostmanApp theApp;
/////////////////////////////////////////////////////////////////////////////
// CUserDlg dialog


CUserDlg::CUserDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUserDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUserDlg)
	m_Address = _T("");
	m_Password = _T("");
	m_Username = _T("");
	//}}AFX_DATA_INIT
}


void CUserDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUserDlg)
	DDX_Text(pDX, IDC_ADDRESS, m_Address);
	DDX_Text(pDX, IDC_PASSWORD, m_Password);
	DDX_Text(pDX, IDC_USERNAME, m_Username);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CUserDlg, CDialog)
	//{{AFX_MSG_MAP(CUserDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUserDlg message handlers

void CUserDlg::OnOK() 
{
	UpdateData( TRUE );

	
	if( m_Address.IsEmpty() )
	{
		AfxMessageBox("You have to specify an address.\nSomething like 'yourself@yahoo.com' ");
		return;
	}
	if( m_Username.IsEmpty() )
	{
		AfxMessageBox("You have to specify a Username.\nIf your address is, say, 'yourself@yahoo.com', the username is probably 'yourself'!");
		return;
	}
	theApp.WriteProfileString( "Configuration", "Address", m_Address);
	theApp.WriteProfileString( "Configuration", "Username", m_Username);
	CDialog::OnOK();
}

BOOL CUserDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	return TRUE;
}
